# AWS API client for Amazon Lightsail

**Warning: This is a generated library, some operations may not work.**

*About the service:*
Amazon Lightsail is the easiest way to get started with Amazon Web Services
(AWS) for developers who need to build websites or web applications. It
includes everything you need to launch your project quickly - instances
(virtual private servers), container services, managed databases, SSD-based
block storage, static IP addresses, load balancers, content delivery network
(CDN) distributions, DNS management of registered domains, and resource
snapshots (backups) - for a low, predictable monthly price.

You can manage your Lightsail resources using the Lightsail console,
Lightsail API, AWS Command Line Interface (AWS CLI), or SDKs. For more
information about Lightsail concepts and tasks, see the <a
href="https://lightsail.aws.amazon.com/ls/docs/how-to/article/lightsail-how-to-set-up-access-keys-to-use-sdk-api-cli">Lightsail
Dev Guide</a>.

This API Reference provides detailed information about the actions, data
types, parameters, and errors of the Lightsail service. For more information
about the supported AWS Regions, endpoints, and service quotas of the
Lightsail service, see <a
href="https://docs.aws.amazon.com/general/latest/gr/lightsail.html">Amazon
Lightsail Endpoints and Quotas</a> in the <i>AWS General Reference</i>.

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

